body {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    background-color: #e9e9e9;
    flex-direction: column;
    overflow: hidden;
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  text-align: center;
  padding: 10px;
}

  .role-buttons button {
    margin: 10px;
    cursor: pointer;
    border: none;
  }

.navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 5px;
}

.logo {
    height: 80px;
    margin-right: 15px;
}

.underline-animate {
    position: relative;
    display: inline-block;
    color: #192F59;
    padding-bottom: 5px;
    font-size: 2.5rem;
}

.underline-animate::after {
    content: '';
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translateX(-50%) scaleX(0);
    transform-origin: center;
    width: 100%;
    height: 3px;
    background-color: #192F59;
    animation: underlineGrow 2.5s ease forwards infinite;
}

@keyframes underlineGrow {
    from {
        transform: translateX(-50%) scaleX(0);
    }
    to {
        transform: translateX(-50%) scaleX(1);
    }
}

.container {
    background: rgba(0,0,0,0.05);
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.8);
    text-align: center;
    width: 350px;
    z-index: 2;
    backdrop-filter: blur(10px);
    font-family: 'Poppins';
    margin-top: 10%;
    animation: rollUp 2s ease-out forwards;
}

@keyframes rollUp {
    0% {
        transform: scaleY(0.2);
        opacity: 0;
    }
    50% {
        transform: scaleY(1);
        opacity: 1;
    }
    100% {
        transform: scaleY(1);
    }
}

h2 {
    margin-top: 10px;
    margin-bottom: 10px;
    color: #192F59;
    font-size: 1.9rem;
}

form {
    display: flex;
    flex-direction: column;
}

input, select {
    margin: 10px 0;
    padding: 12px;
    font-size: 16px;
    border: 1px solid #000000;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
    background-color: rgba(255,255,255,0.1);
}

input::placeholder{
    color: black;
    letter-spacing: 2px;
}

input:focus, select:focus {
    border-color: #000;
    outline: none;
    box-shadow: 0 0 5px rgba(0, 86, 179, 0.2);
}

button {
    background: #192F59;
    color: white;
    padding: 12px;
    font-size: 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s;
    font-weight: 500;
    font-family: 'Poppins';
    margin-top: 5px;
}

button:hover{
    background: #192F59;
    color: #3db166;
}

p {
    margin-top: 15px;
    font-size: 18px;
    margin-bottom: 0;
}

a {
    color: #192F59;
    text-decoration: none;
    font-weight: 800;
}

a:hover {
    text-decoration: underline;
}

@media (max-width: 480px) {
    .navbar{
        padding-left: 5px;
    }
    .logo {
        height: 50px;
        margin-right: 5px;
    }
    .underline-animate{
        font-size: 18px;
        text-align: center;
    }
    .container{
        margin-top: 25%;
        width: 300px;
        padding: 20px;
    }
    h2{
        margin-top: 10px;
    }
}